Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 06 Jan 2022 11:03:25 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Order number 9516754509
I make this order on 1st December and next day I taken a return request. Now it's been more than 20 days still no one comes to the my return.
Iam really unhappy with your service. I will wait one more week if no one came to take my order I will definitely going to complain to the government about this issue. Iam a consumer and I have rights I going to DED consumer right if this problem will not solve in one week. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3656951